# schema_salad.tests.test_pickling

Tests to ensure that mypyc compiled classes are still pickleable.

See https://mypyc.readthedocs.io/en/latest/differences_from_python.html#pickling-and-copying-objects

## Functions

`test_recordschema_pickle`() | Targeted test of pickling a RecordSchema.
`test_extend_and_specialize_enums`(tmp_path) |

## Module Contents

schema_salad.tests.test_pickling.test_recordschema_pickle()

  Targeted test of pickling a RecordSchema.

  Return type:

    None

schema_salad.tests.test_pickling.test_extend_and_specialize_enums(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None